package logic

import (
	"juwan-backend/app/notification/rpc/internal/models"
	"juwan-backend/app/notification/rpc/pb"
)

func entNotificationToPb(n *models.Notifications) *pb.Notifications {
	out := &pb.Notifications{
		Id:        n.ID,
		UserId:    n.UserID,
		Type:      n.Type,
		Title:     n.Title,
		Content:   n.Content,
		Read:      n.Read,
		CreatedAt: n.CreatedAt.Unix(),
		UpdatedAt: n.UpdatedAt.Unix(),
	}
	if n.Link != nil {
		out.Link = *n.Link
	}
	return out
}
